/**
 * Copyright (C) 2014-2018 LinkedIn Corp. (pinot-core@linkedin.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.pinot.thirdeye.hadoop.segment.creation;

/**
 * Properties to be set for the segment creation phase
 */
public enum SegmentCreationPhaseConstants {

  SEGMENT_CREATION_INPUT_PATH("segment.creation.input.path"),
  SEGMENT_CREATION_OUTPUT_PATH("segment.creation.output.path"),
  SEGMENT_CREATION_THIRDEYE_CONFIG("segment.creation.thirdeye.config"),
  SEGMENT_CREATION_WALLCLOCK_START_TIME("segment.creation.wallclock.start.time"),
  SEGMENT_CREATION_WALLCLOCK_END_TIME("segment.creation.wallclock.end.time"),
  SEGMENT_CREATION_SCHEDULE("segment.creation.schedule"),
  SEGMENT_CREATION_BACKFILL("segment.creation.backfill");

  String name;

  SegmentCreationPhaseConstants(String name) {
    this.name = name;
  }

  public String toString() {
    return name;
  }

}